Page MenuHomePhabricator

Chinese Conversion Table Update 2015-1
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/184218/
PLEASE merge it if possible

The Chinese conversion table is substantially updated to fix a lot of bugs reported in recent years, and the script generating conversion table (LanguageZh.php) is also modified to facilitate the maintenance.

Zh-sg and zh-my are set to fallback to zh-cn to improve reading experience, since there is only trivial difference among them, just like zh-hk and zh-mo. Further optimization for zh-sg and zh-my will be performed in local conversion table of Chinese WikiProjects.

Site request from: https://zh.wikipedia.org/wiki/Wikipedia:%E5%AD%97%E8%AF%8D%E8%BD%AC%E6%8D%A2/%E4%BF%AE%E5%A4%8D%E8%AF%B7%E6%B1%82

Event Timeline

Chiefwei created this task.Mar 5 2015, 8:30 AM
Chiefwei claimed this task.
Chiefwei raised the priority of this task from to Unbreak Now!.
Chiefwei updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 8:30 AM
Chiefwei set Security to None.
Chiefwei updated the task description. (Show Details)Mar 6 2015, 5:13 AM
Chiefwei added a subscriber: Shizhao.
Aklapper lowered the priority of this task from Unbreak Now! to High.Mar 6 2015, 9:25 AM

Change 184218 had a related patch set uploaded (by Nikerabbit):
Update the Chinese conversion table for Chinese WikiProjects

https://gerrit.wikimedia.org/r/184218

Chiefwei updated the task description. (Show Details)Mar 10 2015, 3:07 AM

There are many complaints at Request of Conversion of Chinese Wikipedia, because it has been months since these bugs were reported.
So please merge the patch, thank you.

Change 184218 merged by jenkins-bot:
Update the Chinese conversion table for Chinese WikiProjects

https://gerrit.wikimedia.org/r/184218

Chiefwei closed this task as Resolved.Mar 10 2015, 2:01 PM